<template>
    <div class="step1">
        1 крок. Сторінка вибору уроків.
    </div>
    <div>
        Виберіть уроки:
    </div>
    <div>
        <div v-for="lesson in getAllLessons" :key="lesson.code">
            <input type="checkbox" v-model="lesson.selected"> {{ lesson.subject }}
        </div>
        <div>
            <button @click="chooseTeachers">Вибрати вчителів</button>
        </div>
    </div>
</template>

<script>
import { mapGetters } from 'vuex';
export default {
    name: 'LessonsSelect',
    computed: {
        ...mapGetters(['getAllLessons'])
    },
    methods: {
        chooseTeachers() {
            const selectedLessonIds = this.getAllLessons
                .filter(lesson => lesson.selected)
                .map(lesson => lesson.code);

            this.$router.push({ name: 'lessons', params: { id: selectedLessonIds } });
        }
    },
}
</script>

<style lang="scss" scoped>
.step1 {
    color: red;
}
</style>